aboutsummaryrefslogtreecommitdiffstats
path: root/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
diff options
context:
space:
mode:
authorFangyin Hu <fangyinx.hu@intel.com>2016-12-23 02:30:04 -0800
committerPeter Mikus <pmikus@cisco.com>2017-05-28 18:33:33 +0000
commitafa3def247a11985b17f310e58b6f5fae16dc306 (patch)
tree7060edcebd1fb4f9f53a34222b3b0291e256dbd7 /dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
parente6ae349af548635360216827349cfc1e1ee29cd5 (diff)
Add the DPDK l3fwd performance test case.
fix some code style issue and rebase the code. change the DPDK l3fwd test case name and rebase the code. fix the pylint errors. change the DPDK version to 17.05 Rebase the code. Fix the l3fwd test code like the l2fwd. Fix the run l3fwd script issues. Rebase the code and review. Fix the l3fwd script issues. verify-perf-dpdk-long Change-Id: I5c5625ebcd5ff16f47fbee361789be3fece1ddbc Signed-off-by: Fangyin Hu <fangyinx.hu@intel.com>
Diffstat (limited to 'dpdk-tests/dpdk_scripts/cleanup_dpdk.sh')
-rwxr-xr-xdpdk-tests/dpdk_scripts/cleanup_dpdk.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh b/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
index 505a157d13..48e1a29b63 100755
--- a/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
+++ b/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
@@ -41,6 +41,33 @@ else
echo "testpmd is not running"
fi
+#also kill the l3fwd
+sudo pgrep l3fwd
+if [ $? -eq "0" ]; then
+ success=false
+ sudo pkill l3fwd
+ echo "RC = $?"
+ for attempt in {1..5}; do
+ echo "Checking if l3fwd is still alive, attempt nr ${attempt}"
+ sudo pgrep l3fwd
+ if [ $? -eq "1" ]; then
+ echo "l3fwd is dead"
+ success=true
+ break
+ fi
+ echo "l3fwd is still alive, waiting 1 second"
+ sleep 1
+ done
+ if [ "$success" = false ]; then
+ echo "The command sudo pkill l3fwd failed"
+ sudo pkill -9 l3fwd
+ echo "RC = $?"
+ exit 1
+ fi
+else
+ echo "l3fwd is not running"
+fi
+
# Remove hugepages
sudo rm -f /dev/hugepages/*